SQL Injection

Affecting org.webjars.npm:knex artifact, versions [0,]

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

org.webjars.npm:knex is a query builder for PostgreSQL, MySQL and SQLite3

Affected versions of this package are vulnerable to SQL Injection. None

Remediation

There is no fixed version for org.webjars.npm:knex.

References

CVSS Score

9.8
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Credit
Snyk Security Research Team
CVE
CVE-2019-10757
CWE
CWE-89
Snyk ID
SNYK-JAVA-ORGWEBJARSNPM-479857
Disclosed
07 Oct, 2019
Published
07 Oct, 2019